<?php
/**
 * Include and setup custom metaboxes and fields.
 *
 * @category YourThemeOrPlugin
 * @package  Metaboxes
 * @license  http://www.opensource.org/licenses/gpl-license.php GPL v2.0 (or later)
 * @link     https://github.com/jaredatch/Custom-Metaboxes-and-Fields-for-WordPress
 */

 
 
add_filter( 'cmb_meta_boxes', 'cmb_sample_metaboxes' );
/**
 * Define the metabox and field configurations.
 *
 * @param  array $meta_boxes
 * @return array
 */
function cmb_sample_metaboxes( array $meta_boxes ) {

	// Start with an underscore to hide fields from custom fields list
	$prefix = '_cmb_';
            $post_id = $_GET['post'] ? $_GET['post'] : $_POST['post_ID'] ;
            $template_file = get_post_meta($post_id,'_wp_page_template',TRUE);
           if (($template_file == 'seller-squeeze-page-1.php') || ($template_file == 'seller-squeeze-page-2.php') || ($template_file == 'seller-squeeze-page-3.php') || ($template_file == 'seller-squeeze-page-4.php') || ($template_file == 'seller-squeeze-page-5.php')|| ($template_file == 'seller-squeeze-page-6.php')|| ($template_file == 'seller-squeeze-page-7.php') || ($template_file == 'seller-squeeze-page-8.php')){
            
            $meta_boxes[] = array(
		'id'         => 'squeeze_metabox',
		'title'      => 'Squeeze Page Options for (Seller Templates)',
		'pages'      => array( 'page', ), // Post type
		'context'    => 'normal',
		'priority'   => 'high',
		'show_names' => true, // Show field names on the left
		'fields'     => array(
                    
                     array(
				'name' => 'General Options',
				'desc' => '',
				'id'   => $prefix . 'gen_sep',
				'type' => 'gtitle',
			),
                    
                        array(
				'name' => 'Header Settings',
				'desc' => '',
				'id'   => $prefix . 'header_title',
				'type' => 'title',
			),
			
			array(
				'name'    => 'Header Image Selection',
				'desc'    => 'Select header image or upload',
				'id'      => $prefix . 'header_image',
				'type'    => 'radio_inline',
				'options' => array(
					array( 'name' => 'Upload', 'value' => 'upload', ),
					array( 'name' => 'Built In', 'value' => 'built', ),
				),
                                
			),
                        
			array(
				'name' => 'Header Background',
				'desc' => 'Upload an image or enter an URL.',
				'id'   => $prefix . 'header_bg_image',
				'type' => 'file',
			),
			
			 array(
				'name'    => 'Built In Header',
				'desc'    => 'Select Header image',
				'id'      => $prefix . 'built_head_image',
				'type'    => 'select',
				'options' => array(
                                        array( 'name' => 'Default header Image', 'value' => '', ),
					array( 'name' => 'header image 1', 'value' => header_image_folder('squeeze-head-1.jpg'), ),
					array( 'name' => 'header image 2', 'value' => header_image_folder('squeeze-head-2.jpg'), ),
                                        array( 'name' => 'header image 3', 'value' => header_image_folder('squeeze-head-3.jpg'), ),
                                        array( 'name' => 'header image 4', 'value' => header_image_folder('squeeze-head-4.jpg'), ),
                                        array( 'name' => 'header image 5', 'value' => header_image_folder('squeeze-head-5.jpg'), ),
                                        array( 'name' => 'header image 5', 'value' => header_image_folder('squeeze-head-6.jpg'), ),
				),
                                
			),
                        
                        array(
				'name'    => 'Header Visibility',
				'desc'    => 'Show or Hide Header',
				'id'      => $prefix . 'head_visiblity',
				'type'    => 'radio_inline',
				'options' => array(
					array( 'name' => 'Show', 'value' => 'ON', ),
					array( 'name' => 'Hide', 'value' => 'OFF', ),
				),
                                
			),
                        
                        array(
				'name' => 'Headline Settings',
				'desc' => '',
				'id'   => $prefix . 'headline_title',
				'type' => 'title',
			),
                        
                         array(
				'name' => 'Head Line',
				'desc' => 'Input Youre Head Line',
				'id'   => $prefix . 'headline',
				'type' => 'wysiwyg',
			),
                         
                        array(
				'name' => 'Content Settings',
				'desc' => '',
				'id'   => $prefix . 'content_title',
				'type' => 'title',
			),
                        
                        array(
                            'name' => 'Main Background',
                            'desc' => 'Select Color For Main background',
                            'id'   => $prefix . 'body_bg',
                            'type' => 'colorpicker',
                                        'std'  => ''
                        ),
                        
                         array(
				'name'    => 'Step image',
				'desc'    => 'Select Step image',
				'id'      => $prefix . 'step_images',
				'type'    => 'step_image',
				'options' => array(
                                        array( 'name' => 'Select Image', 'value' => '', ),
					array( 'name' => 'Step image 1', 'value' => get_bloginfo('template_directory').'/assets/images/step_images/step-squeeze1.png', ),
					array( 'name' => 'Step image 2', 'value' => get_bloginfo('template_directory').'/assets/images/step_images/step-squeeze2.png', ),
                                        array( 'name' => 'Step image 3', 'value' => get_bloginfo('template_directory').'/assets/images/step_images/step-squeeze3.png', ),
                                        array( 'name' => 'Step image 4', 'value' => get_bloginfo('template_directory').'/assets/images/step_images/step-squeeze4.png', ),
                                        array( 'name' => 'Step image 5', 'value' => get_bloginfo('template_directory').'/assets/images/step_images/step-squeeze5.png', ),
                                        array( 'name' => 'Step image 6', 'value' => get_bloginfo('template_directory').'/assets/images/step_images/step-squeeze6.png', ),
										array( 'name' => 'Step image 7', 'value' => get_bloginfo('template_directory').'/assets/images/step_images/step-squeeze7.png', ),
				),
                                
			),
                         
                        array(
				'name'    => 'Steps Visibility',
				'desc'    => 'Show or Hide Steps',
				'id'      => $prefix . 'steps_visiblity',
				'type'    => 'radio_inline',
				'options' => array(
					array( 'name' => 'Show', 'value' => 'ON', ),
					array( 'name' => 'Hide', 'value' => 'OFF', ),
				),
                                
			),                         
                        
                         array(
				'name' => 'Footer Settings',
				'desc' => '',
				'id'   => $prefix . 'footer_title',
				'type' => 'title',
			),
                       
                        array(
                            'name' => 'Footer Background',
                            'desc' => 'Select Color For footer background',
                            'id'   => $prefix . 'footer_bg',
                            'type' => 'colorpicker',
                                        'std'  => ''
                        ),
						
						array(
                            'name' => 'Footer Text Color',
                            'desc' => 'Select Color For footer Text',
                            'id'   => $prefix . ' footer_text_color',
                            'type' => 'colorpicker',
                             'std'  => ''
                        ),
                        
                         
                         array(
				'name' => 'Copyright Text',
				'desc' => 'Input text to replace the copyright footer text',
				'id'   => $prefix . 'copyright_text',
                                'std'  => 'Company Name',
				'type' => 'text',
			),
			 
			 array(
				'name' => 'Google Analytics ID',
				'desc' => 'Put your Google Analytics ID here eg. (UA-XXXXXX-XX)',
				'id'   => $prefix . 'analytics_id',
                                'std'  => '',
				'type' => 'text',
			),
                          array(
				'name' => 'Optin Options',
				'desc' => '',
				'id'   => $prefix . 'optin_sep',
				'type' => 'gtitle',
			),
                         array(
				'name' => 'Default Settings',
				'desc' => '',
				'id'   => $prefix . 'deafault_title',
				'type' => 'title',
			),
                         
                          array(
				'name'    => 'Form Style',
				'desc'    => 'Select Form style',
				'id'      => $prefix . 'form_style',
				'type'    => 'select',
				'options' => array(
                                        array( 'name' => 'Default', 'value' => '', ),
										array( 'name' => 'Form Style 1', 'value' => 'form_style_1.css', ),
										array( 'name' => 'Form Style 2', 'value' => 'form_style_2.css', ),
                                        array( 'name' => 'Form Style 3', 'value' => 'form_style_3.css', ),
                                        array( 'name' => 'Form Style 4', 'value' => 'form_style_4.css', ),
                                        array( 'name' => 'Form Style 5', 'value' => 'form_style_5.css', ),
										array( 'name' => 'Form Style 6', 'value' => 'form_style_6.css', ),
										array( 'name' => 'Form Style 7', 'value' => 'form_style_7.css', ),
				),
                                
			),
                         
                        array(
				'name' => 'Email Address',
				'desc' => 'Input email address were you want to send the form Infos',
				'id'   => $prefix . 'optin_email',
				'type' => 'text',
			),
                        
                        array(
				'name' => 'Form Heading',
				'desc' => 'Input text to replace the Form Heading',
				'id'   => $prefix . 'form_heading',
                                'std'  => 'Home Seller Information',
				'type' => 'text',
			),
                        
                        array(
				'name' => 'Button Text',
				'desc' => 'Input text to replace the button text',
				'id'   => $prefix . 'btn_text',
                                'std'  => 'SEND',
				'type' => 'text',
			),
                        
                        array(
				'name' => 'Custom Settings',
				'desc' => '',
				'id'   => $prefix . 'custom_title',
				'type' => 'title',
			),
                        
			array(
				'name' => 'OPTIN form code',
				'desc' => 'Paste OPTIN form Code (optional)',
				'id'   => $prefix . 'optin_code',
				'type' => 'textarea_code',
			),
		
		),
	);
            
           }
	   
	   if(($template_file == 'buyer-squeeze-page-1.php') || ($template_file == 'buyer-squeeze-page-2.php') || ($template_file == 'buyer-squeeze-page-3.php') || ($template_file == 'buyer-squeeze-page-4.php') || ($template_file == 'buyer-squeeze-page-5.php')){
            
             $meta_boxes[] = array(
		'id'         => 'buyers_squeeze_metabox',
		'title'      => 'Squeeze Page Options for (Buyers Seller Templates)',
		'pages'      => array( 'page', ), // Post type
		'context'    => 'normal',
		'priority'   => 'high',
		'show_names' => true, // Show field names on the left
		'fields'     => array(
                    
                     array(
				'name' => 'General Options',
				'desc' => '',
				'id'   => $prefix . 'buyers_gen_sep',
				'type' => 'gtitle',
			),
                    
                        array(
				'name' => 'Header Settings',
				'desc' => '',
				'id'   => $prefix . 'buyers_header_title',
				'type' => 'title',
			),
                        
			array(
				'name' => 'Header Logo',
				'desc' => 'Upload an image or enter an URL.',
				'id'   => $prefix . 'buyers_header_logo',
				'type' => 'file',
			),
			
			array(
                            'name' => 'Header Background',
                            'desc' => 'Select Color For Header background',
                            'id'   => $prefix . 'buyers_head_bg',
                            'type' => 'colorpicker',
                                        'std'  => ''
                        ),
                        
                        array(
				'name'    => 'Header Visibility',
				'desc'    => 'Show or Hide Header',
				'id'      => $prefix . 'buyers_head_visiblity',
				'type'    => 'radio_inline',
				'options' => array(
					array( 'name' => 'Show', 'value' => 'ON', ),
					array( 'name' => 'Hide', 'value' => 'OFF', ),
				),
                                
			),
                        
                        array(
				'name' => 'Headline Settings',
				'desc' => '',
				'id'   => $prefix . 'buyers_headline_title',
				'class' => $prefix . 'buyers_headline_title1',
				'type' => 'title',
			),
                        
                         array(
				'name' => 'Head Line',
				'desc' => 'Input Youre Head Line',
				'id'   => $prefix . 'buyers_headline',
				'type' => 'wysiwyg',
			),
                         
                        
                        array(
				'name' => 'Content Settings',
				'desc' => '',
				'id'   => $prefix . 'buyers_content_title',
				'type' => 'title',
			),
                        
                        array(
				'name' => 'Sider Bar',
				'desc' => 'Input Your Sidebar content here',
				'id'   => $prefix . 'buyers_sidebar',
				'type' => 'wysiwyg',
			),
			
			array(
					'name'    => 'Sidebar Arrow Visibility',
					'desc'    => 'Show or Hide Arrow',
					'id'      => $prefix . 'buyers_arrow_visiblity',
					'type'    => 'radio_inline',
					'options' => array(
						array( 'name' => 'Show', 'value' => 'ON', ),
						array( 'name' => 'Hide', 'value' => 'OFF', ),
					),
				),
                        
                        array(
                            'name' => 'Main Background',
                            'desc' => 'Select Color For Main background',
                            'id'   => $prefix . 'buyers_body_bg',
                            'type' => 'colorpicker',
                                        'std'  => ''
                        ),
                        
                        
                         array(
				'name' => 'Footer Settings',
				'desc' => '',
				'id'   => $prefix . 'buyers_footer_title',
				'type' => 'title',
			),
                        
                        array(
                            'name' => 'Footer Background',
                            'desc' => 'Select Color For footer background',
                            'id'   => $prefix . 'buyers_footer_bg',
                            'type' => 'colorpicker',
                                        'std'  => ''
                        ),
						
						array(
                            'name' => 'Footer Text Color',
                            'desc' => 'Select Color For footer Text',
                            'id'   => $prefix . ' footer_text_color',
                            'type' => 'colorpicker',
                             'std'  => ''
                        ),
                        
                         array(
				'name' => 'Copyright Text',
				'desc' => 'Input text to replace the copyright footer text',
				'id'   => $prefix . 'buyers_copyright_text',
                                'std'  => 'Company Name',
				'type' => 'text',
			),
			 
			 array(
				'name' => 'Google Analytics ID',
				'desc' => 'Put your Google Analytics ID here eg. (UA-XXXXXX-XX)',
				'id'   => $prefix . 'buyers_analytics_id',
                                'std'  => '',
				'type' => 'text',
			),
                        
                          array(
				'name' => 'Optin Options',
				'desc' => '',
				'id'   => $prefix . 'buyers_optin_sep',
				'type' => 'gtitle',
			),
                         array(
				'name' => 'Default Settings',
				'desc' => '',
				'id'   => $prefix . 'buyers_deafault_title',
				'type' => 'title',
			),
                         
                        array(
				'name' => 'Email Address',
				'desc' => 'Input email address were you want to send the form Infos',
				'id'   => $prefix . 'buyers_optin_email',
				'type' => 'text',
			),
                        
                        array(
				'name' => 'Form Heading',
				'desc' => 'Input text to replace the Form Heading',
				'id'   => $prefix . 'buyers_form_heading',
                                'std'  => 'GET A FREE TRIAL SUBSCRIPTION',
				'type' => 'text',
			),
                        
//                        array(
//				'name' => 'Button Text',
//				'desc' => 'Input text to replace the button text',
//				'id'   => $prefix . 'buyers_btn_text',
//                                'std'  => 'SEND',
//				'type' => 'text',
//			),
                        
                        array(
				'name' => 'Custom Settings',
				'desc' => '',
				'id'   => $prefix . 'buyers_custom_title',
				'type' => 'title',
			),
                        
			array(
				'name' => 'OPTIN form code',
				'desc' => 'Paste OPTIN form Code (optional)',
				'id'   => $prefix . 'buyers_optin_code',
				'type' => 'textarea_code',
			),
		
		),
	);
            
           }
	   
	   if($template_file == 'default'){
	    
	   }
	
        
       
        
        

	// Add other metaboxes as needed
        
        

	return $meta_boxes;
}

add_action( 'init', 'cmb_initialize_cmb_meta_boxes', 9999 );
/**
 * Initialize the metabox class.
 */
function cmb_initialize_cmb_meta_boxes() {

	if ( ! class_exists( 'cmb_Meta_Box' ) )
		require_once 'init.php';

}